Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.util.ant
Class Xalan2Liaison

    java.lang.Object
      org.objectweb.util.ant.Xalan2Liaison

All Implemented Interfaces:
  org.apache.tools.ant.taskdefs.XSLTLiaison

public class Xalan2Liaison
extends java.lang.Object
implements org.apache.tools.ant.taskdefs.XSLTLiaison

This class permits to use the Xalan 2.

Author:
  Sebastien Chassande-Barrioz

Field Summary

Fields inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison
`FILE_PROTOCOL_PREFIX`

Constructor Summary
`Xalan2Liaison()`

Method Summary
`void` | `addParam(java.lang.String name, java.lang.String value)`
`protected java.lang.String` | `getSystemId(java.io.File file)`
`void` | `setStylesheet(java.io.File stylesheet)`
`void` | `transform(java.io.File infile, java.io.File outfile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xalan2Liaison

    public Xalan2Liaison()
                  throws java.lang.Exception

Method Detail

### setStylesheet

    public void setStylesheet(java.io.File stylesheet)
                       throws java.lang.Exception

  Specified by:
    `setStylesheet` in interface `org.apache.tools.ant.taskdefs.XSLTLiaison`
  Throws:
    `java.lang.Exception`

### transform

    public void transform(java.io.File infile,
                          java.io.File outfile)
                   throws java.lang.Exception

  Specified by:
    `transform` in interface `org.apache.tools.ant.taskdefs.XSLTLiaison`
  Throws:
    `java.lang.Exception`

### getSystemId

    protected java.lang.String getSystemId(java.io.File file)

### addParam

    public void addParam(java.lang.String name,
                         java.lang.String value)

  Specified by:
    `addParam` in interface `org.apache.tools.ant.taskdefs.XSLTLiaison`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD